Due to high demand expect some shipping delays at this time, orders may not ship for 1-2 business days.
0

Need pointers on installing circuitPython libs on Pi3 (newbi
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Need pointers on installing circuitPython libs on Pi3 (newbi

by akumar_ada on Sat Mar 06, 2021 8:56 pm

Screen Shot 2021-03-06 at 4.47.14 PM.jpg
Screen Shot 2021-03-06 at 4.47.14 PM.jpg (192.64 KiB) Viewed 74 times


Hello, i just started tinkering with adafruits 7 segment display+backpack. Have it ready (soldered etc). But have run into issues successfully installing the libs. I followed the instructions on this page
- https://learn.adafruit.com/circuitpytho ... spberry-pi

which i understand upgrades your Pi and Python. Then with this : sudo pip3 install --upgrade adafruit-python-shell

it doesnt finish successfully (screen shot)... any help would be greatly appreciated !

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by dastels on Sat Mar 06, 2021 11:00 pm

Did you upgrade setuptools?

It's complaining that it's out of date.

Dave

dastels
 
Posts: 6172
Joined: Tue Oct 20, 2015 3:22 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by akumar_ada on Sun Mar 07, 2021 1:58 am

hi Dave, thx... yes I did... Ran the following commands multiple times (following the link below).... A separate observation that you dont see in the screen shot (it is further up) is /usr/lib/python3 and /usr/lib/python3.4 are both referenced... (see another screen shot below). Not sure if there is an issue there. BTW I have python2.7 and python3.4 (seen by running sudo update-alternatives --list python))

Run the standard updates:

sudo apt-get update

sudo apt-get upgrade

and

sudo pip3 install --upgrade setuptools

If above doesn't work try

sudo apt-get install python3-pip

Screen Shot 2021-03-06 at 9.53.24 PM.jpg
Screen Shot 2021-03-06 at 9.53.24 PM.jpg (183.2 KiB) Viewed 65 times

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by dastels on Sun Mar 07, 2021 10:59 am

I've just followed those instructions...

A note: shcreenshots aren't overly useful... there's no context. Better is pasting the text of the full output.

Dave

dastels
 
Posts: 6172
Joined: Tue Oct 20, 2015 3:22 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by akumar_ada on Sun Mar 07, 2021 8:08 pm

hi dave, thanks..... here is the full output. my bad, vncserver wasnt setup to cut-n-paste before. thoughts?

pi@raspberrypi:~ $ sudo pip3 install --upgrade adafruit-python-shell
Downloading/unpacking adafruit-python-shell
Downloading adafruit-python-shell-1.3.1.tar.gz
Running setup.py (path:/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py) egg_info for package adafruit-python-shell
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py", line 56, in <module>
py_modules=["adafruit_shell"],
File "/usr/lib/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 262, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 631, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 874, in best_match
return self.obtain(req, installer)
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 886, in obtain
return installer(requirement)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg
return cmd.easy_install(req)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 666, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup
run_setup(setup_script, args)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 68, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 114, in run
return func()
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 67, in runner
_execfile(setup_script, ns)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 43, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/setup.py", line 53, in <module>
"console terminal installer",
File "/usr/lib/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 266, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python3.4/distutils/dist.py", line 280, in __init__
self.finalize_options()
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 301, in finalize_options
ep.load()(self, ep.name, value)
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/integration.py", line 9, in version_keyword
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/version.py", line 62, in _warn_if_setuptools_outdated
setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src
<pkg_resources.WorkingSet object at 0x763ee490>
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "<string>", line 17, in <module>

File "/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py", line 56, in <module>

py_modules=["adafruit_shell"],

File "/usr/lib/python3.4/distutils/core.py", line 108, in setup

_setup_distribution = dist = klass(attrs)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 262, in __init__

self.fetch_build_eggs(attrs['setup_requires'])

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs

replace_conflicting=True,

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 631, in resolve

dist = best[req.key] = env.best_match(req, ws, installer)

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 874, in best_match

return self.obtain(req, installer)

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 886, in obtain

return installer(requirement)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg

return cmd.easy_install(req)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install

return self.install_item(spec, dist.location, tmpdir, deps)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 666, in install_item

dists = self.install_eggs(spec, download, tmpdir)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs

return self.build_and_install(setup_script, setup_base)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install

self.run_setup(setup_script, setup_base, args)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup

run_setup(setup_script, args)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 68, in run_setup

DirectorySandbox(setup_dir).run(runner)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 114, in run

return func()

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 67, in runner

_execfile(setup_script, ns)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 43, in _execfile

exec(code, globals, locals)

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/setup.py", line 53, in <module>

"console terminal installer",

File "/usr/lib/python3.4/distutils/core.py", line 108, in setup

_setup_distribution = dist = klass(attrs)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 266, in __init__

_Distribution.__init__(self,attrs)

File "/usr/lib/python3.4/distutils/dist.py", line 280, in __init__

self.finalize_options()

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 301, in finalize_options

ep.load()(self, ep.name, value)

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/integration.py", line 9, in version_keyword

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/version.py", line 62, in _warn_if_setuptools_outdated

setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)

/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src

<pkg_resources.WorkingSet object at 0x763ee490>

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-ypu13x64/adafruit-python-shell
Storing debug log for failure in /root/.pip/pip.log
pi@raspberrypi:~ $

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by akumar_ada on Tue Mar 09, 2021 1:42 pm

hi dave (or others)....anybody have any pointers? ...been stuck with this seemingly minor issue. very grateful for any help.. cheers.



akumar_ada wrote:hi dave, thanks..... here is the full output. my bad, vncserver wasnt setup to cut-n-paste before. thoughts?

pi@raspberrypi:~ $ sudo pip3 install --upgrade adafruit-python-shell
Downloading/unpacking adafruit-python-shell
Downloading adafruit-python-shell-1.3.1.tar.gz
Running setup.py (path:/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py) egg_info for package adafruit-python-shell
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py", line 56, in <module>
py_modules=["adafruit_shell"],
File "/usr/lib/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 262, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 631, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 874, in best_match
return self.obtain(req, installer)
File "/usr/lib/python3/dist-packages/pkg_resources.py", line 886, in obtain
return installer(requirement)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg
return cmd.easy_install(req)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install
return self.install_item(spec, dist.location, tmpdir, deps)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 666, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs
return self.build_and_install(setup_script, setup_base)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install
self.run_setup(setup_script, setup_base, args)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup
run_setup(setup_script, args)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 68, in run_setup
DirectorySandbox(setup_dir).run(runner)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 114, in run
return func()
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 67, in runner
_execfile(setup_script, ns)
File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 43, in _execfile
exec(code, globals, locals)
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/setup.py", line 53, in <module>
"console terminal installer",
File "/usr/lib/python3.4/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 266, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python3.4/distutils/dist.py", line 280, in __init__
self.finalize_options()
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 301, in finalize_options
ep.load()(self, ep.name, value)
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/integration.py", line 9, in version_keyword
File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/version.py", line 62, in _warn_if_setuptools_outdated
setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src
<pkg_resources.WorkingSet object at 0x763ee490>
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "<string>", line 17, in <module>

File "/tmp/pip-build-ypu13x64/adafruit-python-shell/setup.py", line 56, in <module>

py_modules=["adafruit_shell"],

File "/usr/lib/python3.4/distutils/core.py", line 108, in setup

_setup_distribution = dist = klass(attrs)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 262, in __init__

self.fetch_build_eggs(attrs['setup_requires'])

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 287, in fetch_build_eggs

replace_conflicting=True,

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 631, in resolve

dist = best[req.key] = env.best_match(req, ws, installer)

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 874, in best_match

return self.obtain(req, installer)

File "/usr/lib/python3/dist-packages/pkg_resources.py", line 886, in obtain

return installer(requirement)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 338, in fetch_build_egg

return cmd.easy_install(req)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 636, in easy_install

return self.install_item(spec, dist.location, tmpdir, deps)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 666, in install_item

dists = self.install_eggs(spec, download, tmpdir)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 856, in install_eggs

return self.build_and_install(setup_script, setup_base)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1078, in build_and_install

self.run_setup(setup_script, setup_base, args)

File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 1063, in run_setup

run_setup(setup_script, args)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 68, in run_setup

DirectorySandbox(setup_dir).run(runner)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 114, in run

return func()

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 67, in runner

_execfile(setup_script, ns)

File "/usr/lib/python3/dist-packages/setuptools/sandbox.py", line 43, in _execfile

exec(code, globals, locals)

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/setup.py", line 53, in <module>

"console terminal installer",

File "/usr/lib/python3.4/distutils/core.py", line 108, in setup

_setup_distribution = dist = klass(attrs)

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 266, in __init__

_Distribution.__init__(self,attrs)

File "/usr/lib/python3.4/distutils/dist.py", line 280, in __init__

self.finalize_options()

File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 301, in finalize_options

ep.load()(self, ep.name, value)

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/integration.py", line 9, in version_keyword

File "/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src/setuptools_scm/version.py", line 62, in _warn_if_setuptools_outdated

setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)

/tmp/easy_install-ugk0h6zd/setuptools_scm-5.0.2/src

<pkg_resources.WorkingSet object at 0x763ee490>

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-ypu13x64/adafruit-python-shell
Storing debug log for failure in /root/.pip/pip.log
pi@raspberrypi:~ $

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by millercommamatt on Tue Mar 09, 2021 1:53 pm

Show the output of the commands you were asked to run. The output you've added is still complaining that setuptools is out of date.

millercommamatt
 
Posts: 639
Joined: Tue Jul 31, 2018 4:57 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by akumar_ada on Tue Mar 09, 2021 4:37 pm

ok... here are the command outputs.... I am now seeing an error in the setuptools upgrade - seems it successfully uninstalled the existing setuptools but could finish the latest install ... I dont think I saw that before and sounds like a python version issue?.

note 1: I had to take out 1 r from a spam word ( confunds me why but will go with it);
note 2: I seem to have python 2.7 and python 3.4 installed - as output of 'sudo update-alternatives --list python' - hope this is what this command is used for?

pi@raspberrypi:~ $ sudo apt-get update
Get:1 http://mirrordirector.raspbian.org jessie InRelease [15.0 kB]
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 15.0 kB in 18s (797 B/s)
Reading package lists... Done

pi@raspberrypi:~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
gstreamer1.0-plugins-bad libgl1-mesa-dri libgstreamer-plugins-bad1.0-0 lxpanel
lxpanel-data plymouth python-openssl raspberrypi-ui-mods sonic-pi wolfram-engine
xserver-xorg-input-all
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.

pi@raspberrypi:~ $ sudo pip3 install --upgrade setuptools
Downloading/unpacking setuptools from https://files.pythonhosted.org/packages ... 98aa84e859
Downloading setuptools-54.1.1-py3-none-any.whl (784kB): 784kB downloaded
Installing collected packages: setuptools
Found existing installation: setuptools 54.0.0
Uninstalling setuptools:
Successfully uninstalled setuptools
*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/_msvccompiler.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/_msvccompiler.py", line 294
**{ext: self.obj_extension for ext in self.src_extensions},
^
SyntaxError: invalid syntax

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/build.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/build.py", line 84
plat_specifier = ".%s-%d.%d" % (self.plat_name, *sys.version_info[:2])
^
SyntaxError: can use stared expression only as assignment target

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/install_egg_info.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/install_egg_info.py", line 27
*sys.version_info[:2]
^
SyntaxError: can use stared expression only as assignment target

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/command/easy_install.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/command/easy_install.py", line 719
):
^
SyntaxError: invalid syntax

Successfully installed setuptools
Cleaning up...

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Re: Need pointers on installing circuitPython libs on Pi3 (n

by akumar_ada on Fri Mar 12, 2021 9:08 pm

Hello, anyone have any suggestions ?


akumar_ada wrote:ok... here are the command outputs.... I am now seeing an error in the setuptools upgrade - seems it successfully uninstalled the existing setuptools but could finish the latest install ... I dont think I saw that before and sounds like a python version issue?.

note 1: I had to take out 1 r from a spam word ( confunds me why but will go with it);
note 2: I seem to have python 2.7 and python 3.4 installed - as output of 'sudo update-alternatives --list python' - hope this is what this command is used for?

pi@raspberrypi:~ $ sudo apt-get update
Get:1 http://mirrordirector.raspbian.org jessie InRelease [15.0 kB]
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 15.0 kB in 18s (797 B/s)
Reading package lists... Done

pi@raspberrypi:~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
gstreamer1.0-plugins-bad libgl1-mesa-dri libgstreamer-plugins-bad1.0-0 lxpanel
lxpanel-data plymouth python-openssl raspberrypi-ui-mods sonic-pi wolfram-engine
xserver-xorg-input-all
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.

pi@raspberrypi:~ $ sudo pip3 install --upgrade setuptools
Downloading/unpacking setuptools from https://files.pythonhosted.org/packages ... 98aa84e859
Downloading setuptools-54.1.1-py3-none-any.whl (784kB): 784kB downloaded
Installing collected packages: setuptools
Found existing installation: setuptools 54.0.0
Uninstalling setuptools:
Successfully uninstalled setuptools
*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/_msvccompiler.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/_msvccompiler.py", line 294
**{ext: self.obj_extension for ext in self.src_extensions},
^
SyntaxError: invalid syntax

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/build.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/build.py", line 84
plat_specifier = ".%s-%d.%d" % (self.plat_name, *sys.version_info[:2])
^
SyntaxError: can use stared expression only as assignment target

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/install_egg_info.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/_distutils/command/install_egg_info.py", line 27
*sys.version_info[:2]
^
SyntaxError: can use stared expression only as assignment target

*** Error compiling '/tmp/pip-build-265lfhnd/setuptools/setuptools/command/easy_install.py'...
File "/tmp/pip-build-265lfhnd/setuptools/setuptools/command/easy_install.py", line 719
):
^
SyntaxError: invalid syntax

Successfully installed setuptools
Cleaning up...

akumar_ada
 
Posts: 6
Joined: Sat Mar 06, 2021 8:37 pm

Please be positive and constructive with your questions and comments.